void EastActive()
{
  if (!posError)
  {
    digitalWrite(EASTRELAY, 1);
    TFT.setColor(0, 255, 0);
    TFT.fillCircle(768, 160, 12);
    TFT.setColor(0, 255, 0);
    TFT.print("EAST", 700, 100);
    TFT.setColor(255, 255, 255);
    errorClearOK = 1;
  }
  if (PulseErrorCheck() >= 1000)
  {
    TFT.setColor(255, 255, 255);
    TFT.print("EAST ERROR", CENTER, 315);
    digitalWrite(EASTRELAY, 0);
    TFT.setColor(255, 0, 0);
    TFT.fillCircle(768, 160, 12);
    TFT.setColor(255, 255, 255);
    posError = 1;
  }
  if (Pulse())
  {
    if (posPulseReady)
    {
      pos--;
      posPulseReady = 0;
      zeroPulseReady = 1;
      getTimeOK = 1;
    }
  }
  else
  {
    if (zeroPulseReady)
    {

      posPulseReady = 1;
      zeroPulseReady = 0;
    }
  }
}

void EastNotActive()
{
  TFT.print("    ", 700, 100); //clear the word EAST off of right hand of screen
  getTimeOK = 1;
  posError = 0;
  if (errorClearOK)
  {
    TFT.print("          ", CENTER, 315); //Clear ERROR if exists
    errorClearOK = 0;
    digitalWrite(EASTRELAY, 0);
    TFT.setColor(0, 0, 0);
    TFT.fillCircle(768, 160, 12);
    TFT.setColor(255, 255, 255);

    EEPROM.write(EE_CURPOS, pos);
  }
}
