void WestActive()
{
  if (!posError)
  {
    digitalWrite(WESTRELAY, 1);
    TFT.setColor(0, 255, 0);
    TFT.fillCircle(20, 160, 12);
    TFT.setColor(0, 255, 0);
    TFT.print("WEST", 0, 100);
    TFT.setColor(255, 255, 255);
    errorClearOK = 1;
  }
  if (PulseErrorCheck() >= 1000)
  {
    TFT.setColor(255, 255, 255);
    TFT.print("WEST ERROR", CENTER, 315);
    digitalWrite(WESTRELAY, 0);
    TFT.setColor(255, 0, 0);
    TFT.fillCircle(20, 160, 12);
    TFT.setColor(255, 255, 255);
    posError = 1;
  }
  if (Pulse())
  {
    if (posPulseReady)
    {
      pos++;
      posPulseReady = 0;
      zeroPulseReady = 1;
      getTimeOK = 1;
    }
  }
  else
  {
    if (zeroPulseReady)
    {

      posPulseReady = 1;
      zeroPulseReady = 0;
    }
  }
}

void WestNotActive()
{
  TFT.print("    ", 0, 100); //clear the word WEST off of left hand of screen
  getTimeOK = 1;
  posError = 0;
  if (errorClearOK)
  {
    TFT.print("          ", CENTER, 315);
    errorClearOK = 0;
    digitalWrite(WESTRELAY, 0);
    TFT.setColor(0, 0, 0);
    TFT.fillCircle(20, 160, 12);
    TFT.setColor(255, 255, 255);

    EEPROM.write(EE_CURPOS, pos);
  }
}
